Retrieve a statement
curl --request GET \
--url https://thirdparty.qonto.com/v2/statements/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/statements/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/statements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statement": {
"id": "08544790-6305-4a85-8487-e035290bcee8",
"bank_account_id": "9f4af770-344b-42c1-a592-6a2adf82a6d3",
"period": "08-2024",
"file": {
"file_name": "string",
"file_content_type": "application/pdf",
"file_size": "16966",
"file_url": "string"
}
}
}Statements
Retrieve a statement
OAuth scope: organization.read
Retrieves the statement identified by the id path parameter.
GET
/
v2
/
statements
/
{id}
Retrieve a statement
Authorizations
OAuthSecretKey
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
Unique identifier of the statement.
Example:
"08544790-6305-4a85-8487-e035290bcee8"
Response
Returns the statement identified by the id path parameter.
Show child attributes
Show child attributes
Was this page helpful?
⌘I